OPENSSL_FILE(3ssl)

NAME
OPENSSL_FILE, OPENSSL_LINE, OPENSSL_FUNC, OPENSSL_MSTR, OPENSSL_MSTR_HELPER - generic C programming utility macros

SYNOPSIS
 #include <openssl/macros.h>

 #define OPENSSL_FILE /* typically: __FILE__ */
 #define OPENSSL_LINE /* typically: __LINE__ */
 #define OPENSSL_FUNC /* typically: __func__ */

 #define OPENSSL_MSTR_HELPER(x) #x
 #define OPENSSL_MSTR(x) OPENSSL_MSTR_HELPER(x)

DESCRIPTION
The macros OPENSSL_FILE and OPENSSL_LINE typically yield the current filename and line number during C compilation. When OPENSSL_NO_FILENAMES is defined they yield "" and 0, respectively.

The macro OPENSSL_FUNC attempts to yield the name of the C function currently being compiled, as far as language and compiler versions allow. Otherwise, it yields "(unknown function)".

The macro OPENSSL_MSTR yields the expansion of the macro given as argument, which is useful for concatenation with string constants. The macro OPENSSL_MSTR_HELPER is an auxiliary macro for this purpose.

RETURN VALUES
see above

SEE ALSO
crypto(7)

HISTORY
OPENSSL_FUNC, OPENSSL_MSTR, and OPENSSL_MSTR_HELPER were added in OpenSSL 3.0.

COPYRIGHT
Copyright 2018-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.